import { useCallback, useState } from "react";
/**
 * `useBoolean` is a custom hook used to manage boolean values using `on`, `off`, and `toggle` functions.
 *
 * @see Docs https://ui.ducor.net/hooks/use-boolen
 */
const useBoolean = (init = false) => {
    const [flg, setFlg] = useState(init);
    const on = useCallback(() => setFlg(true), []);
    const off = useCallback(() => setFlg(false), []);
    const toggle = useCallback(() => setFlg((prev) => !prev), []);
    return [flg, { off, toggle, on }];
};
export default useBoolean;
