import { RefObject } from "react";
interface useHoverProps {
    ref?: RefObject<HTMLElement | null>;
    disabled?: boolean;
}
/**
 * `useHover` is a custom hook that detects whether the pointer has moved over or away from an element.
 *
 * @see Docs https://ui.ducor.net/hooks/use-hover
 */
declare const useHover: <T extends HTMLElement = HTMLDivElement>(props?: useHoverProps) => {
    ref: RefObject<HTMLElement | null>;
    hovered: boolean;
};
export default useHover;
