import { useEffect } from "react";
/**
 * `useUnmountEffect` runs the provided callback function when the component unmounts.
 *
 * @param fn - The function to execute on unmount.
 */
const useUnmountEffect = (fn) => {
    useEffect(() => {
        return () => {
            fn();
        };
    }, []); // Empty dependency array ensures it only runs on unmount
};
export default useUnmountEffect;
